%define __libtoolize    /bin/true
Name:		schismtracker
Version:	20240409
Release:	%mkrel 1
Summary:	Music editor, Impulse Tracker clone
License:	GPLv2
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
Group:		Sound
URL:		http://schismtracker.org/
Source:		%{name}-%{version}.tar.xz
BuildRequires: lib64SDL-devel
BuildRequires: 	x11-proto-devel
BuildRequires: lib64xext-devel
BuildRequires: lib64alsa2-devel
BuildRequires:	gcc-c++
BuildRequires:	python >= 2.4
BuildRequires:	mercurial

%description
Schism Tracker is a free reimplementation of Impulse Tracker, a
program used to create high quality music without the requirements of
specialized, expensive equipment, and with a unique "finger feel"
that is difficult to replicate in-part. The player is based on a
highly modified version of the Modplug engine, with a number of
bug-fixes and changes to improve IT playback.

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x

%make

%install
%makeinstall

# install icons
for size in 16 22 24 32 36 48 64 72 96 128 192; do
    install -D -m 0644 icons/schism-icon-$size.png %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
done
install -D -m 0644 icons/schism-icon.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Schism Tracker
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-Gtk;Audio;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%update_menus

%postun
%clean_menus


%files
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/*/%{name}*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_mandir}/*/%{name}.*

%changelog

* Tue Apr 16 2024 Agent Smith <ruidobranco@yahoo.com.br>  - 20240409
- Updated the package schismtracker, with the latest sources.

* Tue Mar 12 2024 Agent Smith <ruidobranco@yahoo.com.br>  - 20240308
- Updated the package schismtracker, with the latest sources.

* Thu Feb 29 2024 Agent Smith <ruidobranco@yahoo.com.br>  - 20240129
- Updated the package schismtracker, with the latest sources.

* Thu Jan 05 2023 Agent Smith <ruidobranco@yahoo.com.br>  - 20221201
- Updated the package schismtracker, with the latest sources.

* Wed Nov 16 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 20221020
- Updated the package schismtracker, with the latest sources.

* Thu Oct 13 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 20220905
- Updated the package schismtracker, with the latest sources.

* Mon Sep 05 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 20220807
- Updated the package schismtracker, with the latest sources.

* Thu Jul 07 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 20220506
- Updated the package schismtracker, with the latest sources.

* Thu Feb 17 2022 Agent Smith <ruidobranco@yahoo.com.br>  - 20220125
- Updated the package schismtracker, with the latest sources.

* Wed Nov 24 2021 Agent Smith <ruidobranco@yahoo.com.br>  - 20211116
- Updated the package schismtracker, with the latest sources.

* Mon Sep 06 2021 Agent Smith <ruidobranco@yahoo.com.br>  - 20210525
- Created the package schismtracker, with the latest sources.

